Linux For Everyone
Linux For Everyone
Oct 22, 2020
Linux + Coffee #4: Tribalism and Toxicity
Play • 59 min

After Episode 43, it was time to have a serious discussion about the Linux community with my two favorite co-hosts. Linux + Coffee returns with both Schykle and Matt and the topic is a serious one: Gatekeeping, tribalism and toxicity in the Linux community. Why does it happen, and HOW do we deal with it?

It's a thought-provoking conversation and we hope you enjoy it.

Special Guests: MattDLN and Schykle (Clayton).

Support Linux For Everyone

Links:

Sudo Show
Sudo Show
Destination Linux Network
17: Multi-Hybrid Cloud What
We will look past all the marketing jargon and to the heart of infrastructure architecture. We'll cover multi-cloud, hybrid-cloud, and stop by the productivity corner to discuss tips to a better virtual meeting. Destination Linux Network (https://destinationlinux.network) Sudo Show Website (https://sudo.show) Sponsor: Digital Ocean (https://do.co/dln) Sponsor: Bitwarden (https://bitwarden.com/dln) Sudo Show Swag (https://sudo.show/swag) UPDATED! Contact Us: DLN Discourse (https://sudo.show/discuss) Email Us! (mailto:contact@sudo.show) Matrix: +sudoshow:matrix.org The Verge: Ubiquiti Data Breach (https://www.theverge.com/2021/1/11/22226061/ubiquiti-data-breach-email-third-party-unathorized-access) Cloud What: Precisely: Mainframe the Orignal Cloud Computing (https://www.precisely.com/blog/mainframe/mainframe-original-cloud-computing) Analytics Insight: What is Cloud Native and Why Do Enterprises Need It (https://www.analyticsinsight.net/why-is-cloud-native-and-why-do-it-enterprises-need-it/) NetApp: What is Lift and Shift (https://www.netapp.com/knowledge-center/what-is-lift-and-shift/) OpenSource.Com: What is OpenStack (https://opensource.com/resources/what-is-openstack) Edge and 5G: Jelvix: What Is Edge Computing (https://jelvix.com/blog/what-is-edge-computing) The Verge: What is Edge Computing (https://www.theverge.com/circuitbreaker/2018/5/7/17327584/edge-computing-cloud-google-microsoft-apple-amazon) Qualcomm: Everything You Need to Know About 5G (https://www.qualcomm.com/invention/5g/what-is-5g) PC Mag: What is 5G (https://www.pcmag.com/news/what-is-5g) Multi and Hybrid Cloud Mist.IO (https://mist.io) ManageIQ (https://www.manageiq.org/) Red Hat: What is Multicloud? (https://www.redhat.com/en/topics/cloud-computing/what-is-multicloud) Tech Radar: Hybrid Cloud, the Best of Both Worlds (https://www.techradar.com/news/hybrid-cloud-the-best-of-both-worlds) OKD (https://www.okd.io/) Fedora Core OS (https://getfedora.org/coreos?stream=stable) Productivity Corner: Gartner: How to Lead Better Remote Meetings (https://www.gartner.com/smarterwithgartner/how-to-lead-better-remote-meetings/) NBR: How to Get People to Actually Participate in Virtual Meetings (https://hbr.org/2020/03/how-to-get-people-to-actually-participate-in-virtual-meetings) Apple Pencil (https://www.apple.com/apple-pencil/) Google Jamboard (https://edu.google.com/products/jamboard/) OBS Virtual Cam (https://github.com/Fenrirthviti/obs-virtual-cam) OBS v4l2sink (https://github.com/CatxFish/obs-v4l2sink) - VirtualCam for Linux GameRebel: How to Phone Webcam in OBS (https://www.gamerebel.net/how-to-phone-webcam-obs/) Logitech Brio 4K (https://www.logitech.com/en-us/products/webcams/brio-4k-hdr-webcam.960-001105.html) Chapters 00:00 Intro 00:42 Welcome 01:21 Sponsor - Bitwarden 02:34 Cloud...What 05:23 Cloud Native 10:07 Edge and 5G 14:32 Multi-Cloud 20:53 Sponsor - Digital Ocean 21:56 Better Remote Meetings 28:14 Better Meeting Hardware 34:19 Outro 35:04 Surprise!
36 min
Hacker Public Radio
Hacker Public Radio
Hacker Public Radio
HPR3259: Nextcloud - The easy way
https://peyanski.com/personal-cloud-from-home-nextcloud-on-raspberry-pi/#Nextcloud_initial_setup sudo apt-get update && sudo apt-get upgrade -y Start the Nextcloud on Raspberry Pi installation with the following script. curl -sSL https://raw.githubusercontent.com/nextcloud/nextcloudpi/master/install.sh | sudo bash Github script content https://raw.githubusercontent.com/nextcloud/nextcloudpi/master/install.sh #!/bin/bash # NextCloudPi installation script # # Copyleft 2017 by Ignacio Nunez Hernanz <nacho _a_t_ ownyourbits _d_o_t_ com> # GPL licensed (see end of file) * Use at your own risk! # # Usage: ./install.sh # # more details at https://ownyourbits.com BRANCH=master #DBG=x set -e$DBG TMPDIR="$(mktemp -d /tmp/nextcloudpi.XXXXXX || (echo "Failed to create temp dir. Exiting" >&2 ; exit 1) )" trap "rm -rf "${TMPDIR}" ; exit 0" 0 1 2 3 15 [[ ${EUID} -ne 0 ]] && { printf "Must be run as root. Try 'sudo $0'n" exit 1 } export PATH="/usr/local/sbin:/usr/sbin:/sbin:${PATH}" # check installed software type mysqld &>/dev/null && echo ">>> WARNING: existing mysqld configuration will be changed <<<" # get install code echo "Getting build code..." apt-get update apt-get install --no-install-recommends -y wget ca-certificates sudo lsb-release pushd "$TMPDIR" wget -qO- --content-disposition https://github.com/nextcloud/nextcloudpi/archive/"$BRANCH"/latest.tar.gz | tar -xz || exit 1 cd - && cd "$TMPDIR"/nextcloudpi-"$BRANCH" # install NCP echo -e "nInstalling NextCloudPi..." source etc/library.sh # check distro check_distro etc/ncp.cfg || { echo "ERROR: distro not supported:"; cat /etc/issue exit 1; } mkdir -p /usr/local/etc/ncp-config.d/ cp etc/ncp-config.d/nc-nextcloud.cfg /usr/local/etc/ncp-config.d/ cp etc/library.sh /usr/local/etc/ cp etc/ncp.cfg /usr/local/etc/ install_app lamp.sh install_app bin/ncp/CONFIG/nc-nextcloud.sh run_app_unsafe bin/ncp/CONFIG/nc-nextcloud.sh systemctl restart mysqld # TODO this shouldn't be necessary, but somehow it's needed in Debian 9.6. Fixme install_app ncp.sh run_app_unsafe bin/ncp/CONFIG/nc-init.sh bash /usr/local/bin/ncp-provisioning.sh popd IFACE="$( ip r | grep "default via" | awk '{ print $5 }' | head -1 )" IP="$( ip a show dev "$IFACE" | grep global | grep -oP 'd{1,3}(.d{1,3}){3}' | head -1 )" echo "Done. First: Visit https://$IP/ https://nextcloudpi.local/ (also https://nextcloudpi.lan/ or https://nextcloudpi/ on windows and mac) to activate your instance of NC, and save the auto generated passwords. You may review or reset them anytime by using nc-admin and nc-passwd. Second: Type 'sudo ncp-config' to further configure NCP, or access ncp-web on https://$IP:4443/ Note: You will have to add an exception, to bypass your browser warning when you first load the activation and :4443 pages. You can run letsencrypt to get rid of the warning if you have a (sub)domain available. " exit 0 # License # # This script is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # # This script is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this script; if not, write to the # Free Software Foundation, Inc., 59 Temple Place, Suite 330, # Boston, MA 02111-1307 USA DuckDNS http://www.duckdns.org Enter trusted domain NextCloudPi panel Trusted domain 1 Trusted domain 2 Certbot script sudo apt install certbot python-certbot-apache -y sudo certbot --apache Customization External storage support Apps > Disabled Apps > External Storage Support > Enable Apps 1 Apps 2 Settings External storage Dark mode support Apps 3
Play
Search
Clear search
Close search
Google apps
Main menu